// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.tur.platform.air;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>RF4E</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>RF4E.createInstance()</code> or <code>new RF4E()</code>. </p>
 * <ul>
 *     <li> Country: Turkey (TUR) = <code>218</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>AIR</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Reconnaissance = <code>7</code>; </li>
 *     <li> SubCategory: McDonnellDouglasF4PhantomII  = <code>1</code>; </li>
 *     <li> Specific: RF4E  = <code>1</code>; </li>
 *     <li> Entity type uid: 30599; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@724aefc3. </p>
 * @see Country#TURKEY_TUR
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see Reconnaissance
 * @see SubCategory

 */
public final class RF4E extends EntityType
{
    /** Default constructor */
    public RF4E()
    {
        setCountry(Country.TURKEY_TUR);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.AIR));

        setCategory((byte)7); // uid 30597, Reconnaissance
        setSubCategory((byte)1); // uid 30598, McDonnell-Douglas F-4 Phantom II
        setSpecific((byte)1); // uid 30599, RF-4E
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static RF4E createInstance()
    {
            return new RF4E();
    }
}
