// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.sensoremitter.air;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>FRPAACMI</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>FRPAACMI.createInstance()</code> or <code>new FRPAACMI()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>AIR</code>; </li>
 *     <li> Domain: Sensor/Emitter = <code>9</code>; </li>
 *     <li> Category: Multi-spectral = <code>1</code>; </li>
 *     <li> SubCategory: NavigationDistanceMeasuringEquipment  = <code>71</code>; </li>
 *     <li> Specific: FRPAACMI  = <code>1</code>; </li>
 *     <li> Entity type uid: 25019; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v30-DRAFT-20220129-d11 (2022-01-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@13f2d42c. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#SENSOR_EMITTER
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see Multispectral
 * @see SubCategory

 */
public final class FRPAACMI extends EntityType
{
    /** Default constructor */
    public FRPAACMI()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.SENSOR_EMITTER);
        setDomain(Domain.inst(PlatformDomain.AIR));

        setCategory((byte)1); // uid 25017, Multi-spectral
        setSubCategory((byte)71); // uid 25018, Navigation/Distance Measuring Equipment
        setSpecific((byte)1); // uid 25019, FRP AACMI
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static FRPAACMI createInstance()
    {
            return new FRPAACMI();
    }
}
